#ifndef _CL_CM_CLIENT_API_H_
#define _CL_CM_CLIENT_API_H_

#ifdef __cplusplus
extern "C" {
#endif

ClRcT clCmLibInitialize(void);

ClRcT clCmLibFinalize(void);

ClRcT clCmFruStateGet (ClCorMOIdPtrT hMoId, SaHpiHsStateT *pState);

ClRcT clCmFruOperationRequest (ClCorMOIdPtrT hMoId, ClCmFruOperationT request);

ClRcT clCmBladeOperationRequest (ClUint32T chassisId, ClUint32T slotId, ClCmFruOperationT request);

ClRcT clCmThresholdStateGet(ClUint32T slot, ClCmThresholdLevelT *pLevel, ClBoolT *pAsserted);

#ifdef __cplusplus
}
#endif

#endif
