/*
 * Copyright (C) 2002-2012 OpenClovis Solutions Inc.  All Rights Reserved.
 *
 * This file is available  under  a  commercial  license  from  the
 * copyright  holder or the GNU General Public License Version 2.0.
 * 
 * The source code for  this program is not published  or otherwise 
 * divested of  its trade secrets, irrespective  of  what  has been 
 * deposited with the U.S. Copyright office.
 * 
 * This program is distributed in the  hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied  warranty  of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU 
 * General Public License for more details.
 * 
 * For more  information, see  the file  COPYING provided with this
 * material.
 */
/*******************************************************************************
 * ModuleName  : cm
 * File        : clCmCommons.c
 *******************************************************************************/

/*******************************************************************************
 * Description :
 * This module has functions that are used by both the cm                 
 * client and server                                                      
 **************************************************************************/

/* system includes */

/* ASP includes */
#include <clCommon.h>
#include <clVersionApi.h>
#include <clChassisMgrApi.h>


/*********************************************************************************/

/*                  version related information                                  */

ClVersionT gCmClientToServerVersion[] = {CL_CM_VERSION};
ClVersionDatabaseT gCmClientToServerVersionDb = {1, gCmClientToServerVersion};

/*********************************************************************************/
