#include<SaHpi.h>
#include<clCommon.h>
#include<clAlarmDefinitions.h>
#include<clChassisMgrApi.h>

typedef union{
    SaHpiResourceEventT           pHpiResEventPayload;
    SaHpiDomainEventT             pHpiDomainPayload;
    ClAlarmInfoT                  pAlarmPayload;
    SaHpiSensorEnableChangeEventT pHpiSensorEnableChangePayload;
    ClCmFruEventInfoT             pFruEventPayload;
    SaHpiWatchdogEventT           pHpiWatchdogPayload;
    SaHpiHpiSwEventT              pHpiSwEventPayload;
    SaHpiOemEventT                pHpiOemEventPayload;
    SaHpiUserEventT               pHpiUserEventPayload;
    SaHpiDimiEventT               pHpiDimiEventPayload;
    SaHpiDimiUpdateEventT         pHpiDimiUpdateEventPayload;
    SaHpiFumiEventT               pHpiFumiEventPayload;
}ClEventPayload;

typedef struct{
SaHpiEventTypeT         PayloadType;
ClUint32T               SlotNumber;
ClUint32T               ChassisId;
ClNameT                 NodeName;
SaHpiRptEntryT          RptEntry;
ClEventPayload          Payload;
}ClEventT;

